For the complete documentation index, see llms.txt. This page is also available as Markdown.

Brings Foreign Exchange Information

Döviz kurlarını getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Responses
200

Döviz kurlarını getirir.

application/json
USDBuystring · nullableOptional
USDSalestring · nullableOptional
EUROBuystring · nullableOptional
EUROSalestring · nullableOptional
GBPBuystring · nullableOptional
GBPSalestring · nullableOptional
get/ExchangeRate
GET /general/ExchangeRate HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "USDBuy": "text",
  "USDSale": "text",
  "EUROBuy": "text",
  "EUROSale": "text",
  "GBPBuy": "text",
  "GBPSale": "text"
}
var client = new RestClient("https://apitest.nilvera.com/general/ExchangeRate");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/general/ExchangeRate',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated